import request from '../utils/request'

export function getPatientInfo(patientId) {
  return request({
    url: '/covid19Assessment/getPatientInfo',
    method: 'get',
    params: { patientId },
  })
}

export function submitCovidAssessment(data) {
  return request({
    url: '/covid19Assessment/submit',
    method: 'post',
    data,
  })
}

export function getRegionProvince() {
  return request({
    url: '/covid19Assessment/getRegionProvince',
    method: 'get',
  })
}

export function getChildRegion(parentCode) {
  return request({
    url: '/covid19Assessment/getChildRegion',
    method: 'get',
    params: { parentCode },
  })
}

export function submitDepressionAssessment(data) {
  return request({
    url: '/assessment/submitDepressionAssessment',
    method: 'post',
    data,
  })
}

export function submitClinicSatisfiedAssessment(data) {
  return request({
    url: 'assessment/submitClinicSatisfiedAssessment',
    method: 'post',
    data,
  })
}

export function submitInpatientSatisfiedAssessment(data) {
  return request({
    url: 'assessment/submitInpatientSatisfiedAssessment',
    method: 'post',
    data,
  })
}

export function submitComplaintsAndSuggestions(data) {
  return request({
    url: 'assessment/submitComplaintsAndSuggestions',
    method: 'post',
    data,
  })
}
